de.dhbwstuttgart.syntaxtree.statement

## Class ForStmt

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.statement.Statement
    - - de.dhbwstuttgart.syntaxtree.statement.ForStmt

- All Implemented Interfaces:
    IItemWithOffset, Typeable

      public class ForStmt
      extends Statement

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Statement` | `body_Loop_block`
    `private Expr` | `head_Condition`
    `private Expr` | `head_Condition_1`
    `private Expr` | `head_Initializer`
    `private Expr` | `head_Initializer_1`
    `private Expr` | `head_Loop_expr`
    `private Expr` | `head_Loop_expr_1`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

      `offset, type`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForStmt(int offset, int variableLength)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Menge<SyntaxTreeNode>` | `getChildren()`
    `int` | `getTypeLineNumber()`
    `JavaCodeResult` | `printJavaCode(ResultSet resultSet)`
    `(package private) void` | `sc_check(Menge<Class> classname, java.util.Hashtable ch, java.util.Hashtable<java.lang.String,java.lang.String> bh, boolean ext, java.util.Hashtable parach, java.util.Hashtable<java.lang.String,java.util.Hashtable> parabh)`
    `void` | `set_body_Loop_block(Statement statement)`
    `void` | `set_head_Condition(Expr expr)`
    `void` | `set_head_Initializer(Expr expr)`
    `void` | `set_head_Loop_expr(Expr expr)`
    `java.lang.String` | `toString()`
    `ConstraintsSet` | `TYPEStmt(TypeAssumptions assumptions)`
    `void` | `wandleRefTypeAttributes2GenericAttributes(Menge<Type> paralist, Menge<GenericTypeVar> genericMethodParameters)`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

      `getDescription, getOffset, getReturnType, getType, getTypeInformation, getVariableLength, setReturnType, setType`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `addTypeInsertPoints, equals, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, parserPostProcessing, seesType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### head_Initializer_1

          private Expr head_Initializer_1

    - #### head_Condition_1

          private Expr head_Condition_1

    - #### head_Loop_expr_1

          private Expr head_Loop_expr_1

    - #### head_Initializer

          private Expr head_Initializer

    - #### head_Condition

          private Expr head_Condition

    - #### head_Loop_expr

          private Expr head_Loop_expr

    - #### body_Loop_block

          private Statement body_Loop_block

  - ### Constructor Detail

    - #### ForStmt

          public ForStmt(int offset,
                         int variableLength)

  - ### Method Detail

    - #### sc_check

          void sc_check(Menge<Class> classname,
                        java.util.Hashtable ch,
                        java.util.Hashtable<java.lang.String,java.lang.String> bh,
                        boolean ext,
                        java.util.Hashtable parach,
                        java.util.Hashtable<java.lang.String,java.util.Hashtable> parabh)
                 throws SCStatementException

      Throws:
        `SCStatementException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### wandleRefTypeAttributes2GenericAttributes

          public void wandleRefTypeAttributes2GenericAttributes(Menge<Type> paralist,
                                                                Menge<GenericTypeVar> genericMethodParameters)

      Specified by:
        `wandleRefTypeAttributes2GenericAttributes` in class `Statement`

    - #### set_head_Initializer

          public void set_head_Initializer(Expr expr)

    - #### set_head_Condition

          public void set_head_Condition(Expr expr)

    - #### set_head_Loop_expr

          public void set_head_Loop_expr(Expr expr)

    - #### set_body_Loop_block

          public void set_body_Loop_block(Statement statement)

    - #### TYPEStmt

          public ConstraintsSet TYPEStmt(TypeAssumptions assumptions)

      Specified by:
        `TYPEStmt` in class `Statement`

    - #### getTypeLineNumber

          public int getTypeLineNumber()

    - #### printJavaCode

          public JavaCodeResult printJavaCode(ResultSet resultSet)

      Specified by:
        `printJavaCode` in class `Statement`

    - #### getChildren

          public Menge<SyntaxTreeNode> getChildren()

      Specified by:
        `getChildren` in class `SyntaxTreeNode`